;;; site-start.el - loaded at startup before "~/.xemacs/init.el"
;;;
;;; The "-no-site-file" option to xemacs prevents this file from being loaded.

;; fix default info path
(setq Info-directory-list '("/usr/share/info/"
			    "/usr/share/xemacs/xemacs-packages/info/"
			    "/usr/share/xemacs/mule-packages/info/"))

;;; psgml catalog list
(setq sgml-catalog-files
	      (if (getenv "SGML_CATALOG_FILES")
		  (split-path (getenv "SGML_CATALOG_FILES"))
		(list "CATALOG" "catalog"
		      "/etc/sgml/catalog"
		      "/etc/xml/catalog"
		      (locate-data-file "CATALOG"))))

;; default to non-kerberos ftp
(setq efs-ftp-program-name "/usr/bin/ftp")

;; ;; ispell
;; (setq ispell-program-name "aspell")

;; load .el files in "site-start.d/"
(let ((files (directory-files "/usr/share/xemacs/site-packages/lisp/site-start.d" t "\\.el$")))
  (mapc 'load-file files))

;; fix default courier italics
;; for courier, oblique usually produces better results than italic
(setq try-oblique-before-italic-fonts t)
(when window-system
  (make-face-italic 'italic)
  (make-face-italic 'bold-italic))

;; setup utf-8 encoding for UTF-8 locales (e.g. en_US.UTF-8)
(let ((locale (or (getenv "LC_ALL")
		  (getenv "LC_CTYPE")
		  (getenv "LANG"))))
  (when (and locale (string-match "UTF-8" locale))
    (require 'un-define)
    (setq default-buffer-file-coding-system 'utf-8
	  default-file-name-coding-system 'utf-8
	  keyboard-coding-system 'utf-8
	  terminal-coding-system 'utf-8
	  process-coding-system-alist '((".*" . utf-8)))
    (set-coding-priority-list '(utf-8))
    (set-coding-category-system 'utf-8 'utf-8)))

;; try to preserve user/group when saving files
(setq-default backup-by-copying-when-mismatch t)

;; when saving a buffer always end it with a newline
(setq-default require-final-newline t)

